close all
writerObj = VideoWriter('example.mp4','MPEG-4');
writerObj.FrameRate = 32;
open(writerObj);
m = 1;
set(0, 'DefaultFigureVisible', 'off')
f1=figure('color',[1 1 1]);
 fprintf('creating video::%i%% \r',zeros(1));
for n = 1:num_it
    plot(state(n,1),state(n,3),'x');hold on;xlim([x_min_fig_1 x_max_fig_1]);ylim([y_min_fig_1 y_max_fig_1]);
    plot([state(n,1)-(state(n,5)/2),state(n,1)+(state(n,5)/2)],...
        [state(n,3)-(state(n,6)/2),state(n,3)-(state(n,6)/2)],'-b');
    plot([state(n,1)-(state(n,5)/2),state(n,1)+(state(n,5)/2)],...
        [state(n,3)+(state(n,6)/2),state(n,3)+(state(n,6)/2)],'-b');
    plot([state(n,1)-(state(n,5)/2),state(n,1)-(state(n,5)/2)],...
        [state(n,3)+(state(n,6)/2),state(n,3)-(state(n,6)/2)],'-b');
    p1=plot([state(n,1)+(state(n,5)/2),state(n,1)+(state(n,5)/2)],...
        [state(n,3)-(state(n,6)/2),state(n,3)+(state(n,6)/2)],'-b');
    if (rem(((n*100)/kmax),10)==0)
        fprintf('creating video::%i%% \r',((n*100)/kmax));
    end
    
    p3=plot(measurements(n).m(1:num_P(n),1),measurements(n).m(1:num_P(n),2),'.b');
    hold on;xlim([x_min_fig_1 x_max_fig_1+50]);ylim([y_min_fig_1 y_max_fig_1+50]);
    if clut 
    p4= plot(measurements(n).m(num_P(n)+1:end,1),measurements(n).m(num_P(n)+1:end,2),'.r');
    end
    plot(x_est_all(end,1,n),x_est_all(end,3,n),'gx');
    p2=plot([x_est_all(end,1,n)-(tita_est_all(end,1,n)/2),x_est_all(end,1,n)+(tita_est_all(end,1,n)/2)],...
        [x_est_all(end,3,n)-(tita_est_all(end,2,n)/2),x_est_all(end,3,n)-(tita_est_all(end,2,n)/2)],'-g');
    plot([x_est_all(end,1,n)-(tita_est_all(end,1,n)/2),x_est_all(end,1,n)+(tita_est_all(end,1,n)/2)],...
        [x_est_all(end,3,n)+(tita_est_all(end,2,n)/2),x_est_all(end,3,n)+(tita_est_all(end,2,n)/2)],'-g');
    plot([x_est_all(end,1,n)-(tita_est_all(end,1,n)/2),x_est_all(end,1,n)-(tita_est_all(end,1,n)/2)],...
        [x_est_all(end,3,n)+(tita_est_all(end,2,n)/2),x_est_all(end,3,n)-(tita_est_all(end,2,n)/2)],'-g');
    plot([x_est_all(end,1,n)+(tita_est_all(end,1,n)/2),x_est_all(end,1,n)+(tita_est_all(end,1,n)/2)],...
        [x_est_all(end,3,n)-(tita_est_all(end,2,n)/2),x_est_all(end,3,n)+(tita_est_all(end,2,n)/2)],'-g');
    
    ylabel('y dimension');drawnow;hold off;
    if clut
    legend([p1,p2,p3,p4],'Ground Truth','CPF Estimate','Crowd Measurement','Clutter Measurement')
    else
    legend([p1,p2,p3],'Ground Truth','CPF Estimate','Crowd Measurement')    
    end
    F = imcapture(f1);
    writeVideo(writerObj,F);
end
close(writerObj);