function [particles] = PF_Initialise(initial)
%% Initialise the bootstrap particle filter
N = 250; % Number of particles
  velR = 10; xR = 50; abR = 30;
noise = [xR,velR,xR,velR,abR,abR];
initial = repmat(initial,N,1) + 2*repmat(noise,N,1).*(rand(N,6)-0.5);
particles.x = initial;

particles.indX = 1;
particles.indY = 3;
particles.indA = 5;
particles.indB = 6;
end
