function rect = addClutter(rect,x,measInt,clutterRadius,clutterRo)

for k = 1:size(rect,2)
    gammaThreshold = 1.1;
    S = [clutterRadius^2 0; 0 clutterRadius^2];
    clutterArea = pi*clutterRadius^2;
    clutterLambda = round(clutterArea*clutterRo);
    numFalseMeas = poissrnd(clutterLambda);
    z_hat = [x(k,1); x(k,3)];
    tmp = uniformPoints(gammaThreshold,S,z_hat,numFalseMeas);
    while (sum(((tmp(1,:) < (x(k,1)+x(k,5)/2)) & (tmp(1,:) > (x(k,1)-x(k,5)/2)))...
            & ((tmp(2,:) < (x(k,3)+x(k,6)/2)) & (tmp(2,:) > (x(k,3)-x(k,6)/2)))) > 1)
    a = (((tmp(1,:) < (x(k,1)+x(k,5)/2)) & (tmp(1,:) > (x(k,1)-x(k,5)/2)))...
            & ((tmp(2,:) < (x(k,3)+x(k,6)/2)) & (tmp(2,:) > (x(k,3)-x(k,6)/2))));
      tmp(:,a) = [];
      tmp = [tmp,uniformPoints(gammaThreshold,S,z_hat,sum(a))];
    end
    tmp = uniformPoints(gammaThreshold,S,z_hat,numFalseMeas);
    if(~isempty(tmp))
        clutterMeas = tmp' + mvnrnd(zeros(size(tmp')),eye(2)*measInt);
        rect{k} = [rect{k};clutterMeas];
    end
end