function [xNew] = resampling(rect)

N = size(rect.x,1);
xNew = rect;
% Select from which particles to resample
cumSum = cumsum(rect.weights);
choice = sort(sum(repmat(rand(1,N),N,1) > repmat(cumSum, 1, N))+1)';
xNew.x = rect.x(choice,:);
xNew.weights = ones(N,1)/N;
end