%% Plot
hold off;

plot(estimate(k,1),estimate(k,3),'x');
hold on;p3=plot(meas{k}(1:Param.num_P(k),1),meas{k}(1:Param.num_P(k),2),'.b');
hold on;p4=plot(meas{k}(Param.num_P(k)+1:end,1),meas{k}(Param.num_P(k)+1:end,2),'.r');
hold on;p1=plot([estimate(k,1)-(estimate(k,5)/2),estimate(k,1)+(estimate(k,5)/2)],...
    [estimate(k,3)-(estimate(k,6)/2),estimate(k,3)-(estimate(k,6)/2)],'-b');
hold on;plot([estimate(k,1)-(estimate(k,5)/2),estimate(k,1)+(estimate(k,5)/2)],...
    [estimate(k,3)+(estimate(k,6)/2),estimate(k,3)+(estimate(k,6)/2)],'-b');
hold on;plot([estimate(k,1)-(estimate(k,5)/2),estimate(k,1)-(estimate(k,5)/2)],...
    [estimate(k,3)+(estimate(k,6)/2),estimate(k,3)-(estimate(k,6)/2)],'-b');
hold on;plot([estimate(k,1)+(estimate(k,5)/2),estimate(k,1)+(estimate(k,5)/2)],...
    [estimate(k,3)-(estimate(k,6)/2),estimate(k,3)+(estimate(k,6)/2)],'-b');

    hold on;plot(state(k,1),state(k,3),'gx');
    hold on;plot([state(k,1)-(state(k,5)/2),state(k,1)+(state(k,5)/2)],...
        [state(k,3)-(state(k,6)/2),state(k,3)-(state(k,6)/2)],'-g');
    hold on;p2=plot([state(k,1)-(state(k,5)/2),state(k,1)+(state(k,5)/2)],...
        [state(k,3)+(state(k,6)/2),state(k,3)+(state(k,6)/2)],'-g');
    hold on;plot([state(k,1)-(state(k,5)/2),state(k,1)-(state(k,5)/2)],...
        [state(k,3)+(state(k,6)/2),state(k,3)-(state(k,6)/2)],'-g');
    hold on;plot([state(k,1)+(state(k,5)/2),state(k,1)+(state(k,5)/2)],...
        [state(k,3)-(state(k,6)/2),state(k,3)+(state(k,6)/2)],'-g');
    hold off;

xlabel('X coordinate (m)')
ylabel('Y coordinate (m)')
legend([p2,p1,p3,p4],'Ground Truth','SIR PF Estimate','Crowd Measurement','Clutter Measurement')
    
xlim([figParam.x_min_fig_1,figParam.x_max_fig_1])
ylim([figParam.y_min_fig_1,figParam.y_max_fig_1])
drawnow
if Param.saveMovie
    F = imcapture(gca);
    writeVideo(writerObj,F);
end

