function[w]= CPF_likelihood(xParticle_pred,c,measurement_array,w)

global N clutterRadius

num_meas_k = length(measurement_array(1,:));

val = (repmat(measurement_array(1,:),N,1) < repmat(c.yP(:,1,1),1,num_meas_k))...
    & (repmat(measurement_array(1,:),N,1) > repmat(c.yP(:,1,2),1,num_meas_k))...
    & (repmat(measurement_array(2,:),N,1) < repmat(c.yP(:,2,1),1,num_meas_k))...
    & (repmat(measurement_array(2,:),N,1) > repmat(c.yP(:,2,2),1,num_meas_k));

likelihood = repmat((1./(xParticle_pred(5,:).*xParticle_pred(6,:))'),1,num_meas_k).*...
    (val);

likelihood(likelihood ==0) = 1/(pi*clutterRadius^2);
L = sum(log(likelihood),2);
L = exp(L - max(L));
w = w.*L';
w(isnan(w)) = 0;
w(:) = w(:)./sum(w(:));
return;