function [xNew,w] = resampling(rect,w)
bootstrap = 1;
if bootstrap
    N = size(rect,1);
    
    % Select from which particles to resample
    cumSum = cumsum(w);
    choice = sort(sum(repmat(rand(1,N),N,1) > repmat(cumSum, 1, N))+1)';
    xNew = rect(choice,:)';
    
    w = ones(1,N)/N;
else
    xNew = rect';
end

end