function [perf,xNew] = update(rect, meas, perf,k, P)
N = size(rect.x,1);
M = length(meas);
L = zeros(N,M);

for m = 1:N
L(m,:) = (1/(rect.x(m,5).*rect.x(m,6))).*(-1*erf((meas(:,1)-repmat(rect.x(m,1),M,1)-(repmat(rect.x(m,5),M,1)/2))/(sqrt(2)*P.measSigma(1)))...
     + erf((meas(:,1)-repmat(rect.x(m,1),M,1)+(repmat(rect.x(m,5),M,1)/2))/(sqrt(2)*P.measSigma(1))))...
     .*(-1*erf((meas(:,2)-repmat(rect.x(m,3),M,1)-(repmat(rect.x(m,6),M,1)/2))/(sqrt(2)*P.measSigma(1)))...
     + erf((meas(:,2)-repmat(rect.x(m,3),M,1)+(repmat(rect.x(m,6),M,1)/2))/(sqrt(2)*P.measSigma(1))));
end
L = sum(log(1 + (P.measLambda/P.clutterRo)*L),2);
 xNew.x = rect.x;
 w = exp(L - max(L));
 xNew.weights = w/sum(w);
 perf.ESS(k) = 1/sum(xNew.weights.^2);
end